mui.init();
var vm = new Vue({
	el: "#content",
	data: {
		tel: "",
		code: "",
		password1: "",
		password2: ""
	},
	methods: {
		getCode: function(event) {
			if(event.target.innerHTML != "点击获取") {
				return mui.toast("验证码已发送");
			}
			if(!this.tel) {
				return mui.toast("请输入手机号码");
			}
			mui.ajax('http://inn.kuaishao.xin/common/express/getVcode',{
				data:{
					mobile: this.tel
				},
				dataType:'json',//服务器返回json格式数据
				type:'get',//HTTP请求类型
				timeout:5000,//超时时间设置为5秒；
				success:function(data){
					//服务器返回响应，根据响应结果，分析是否登录成功；
					console.log(JSON.stringify(data));
					var i = 60;
					event.target.innerHTML = i + "s";
					var time = setInterval(function() {
						if(i <= 1) {
							clearInterval(time);
							return event.target.innerHTML = "点击获取";
						}
						i = --i;
						event.target.innerHTML = i + "s";
					}, 1000);
					
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					mui.toast(type);
				}
			});
			
		}
	}
})