(function(w, $) {
	if(!$) throw new Error("未引入mui库文件!!");
	
	//打开未预加载页面
	w.openWebview = function(url, id, data) {
		data = data || {};
		plus.nativeUI.showWaiting();
		var openw = plus.webview.getWebviewById(id);
		if(!openw) {
			openw = plus.webview.create(url, id, {}, data);
			openw.addEventListener('loaded', function() { //页面加载完成后才显示
				setTimeout(function() { //延后显示可避免低端机上动画时白屏
					openw.show("fade-in");
					plus.nativeUI.closeWaiting();
				}, 100);
			}, false);
			return {
				isInit: true,
				win: openw
			};
		}
		return {
			isInit: false,
			win: openw
		};
	};
	
	w.showWebview = function(url, id, data) {
		data = data || {};
		plus.nativeUI.showWaiting();
		var obj = openWebview(url, id, data);
		if(!obj.isInit){
			setTimeout(function() { //延后显示可避免低端机上动画时白屏
				obj.win.show("fade-in");
				plus.nativeUI.closeWaiting();
			}, 100);
		}
		return obj.win;
	}
	
	//时间戳转时间
	w.timeToDate = function(time) {
		var date = new Date(time);
		var dateDetail = [date.getFullYear(), date.getMonth()+1, date.getDate()];
		var timeDetail = [date.getHours(), date.getMinutes(), date.getSeconds()];
		for(var i=0; i<timeDetail.length; i++){
			if(timeDetail[i] < 10){
				timeDetail[i] = "0" + timeDetail[i];
			}
		}
		dateDetail = dateDetail.join("/");
		timeDetail = timeDetail.join(":");
		
		return (dateDetail + "  " + timeDetail);
	}
	
})(window, window.mui || mui);