mui.init({
	swipeBack: false
});
var type = 1;//1==》待遣返 2==》遣返中 3==》已遣返
var page1 = 0;
var page2 = 0;
var page3 = 0;
var token = "";
function getLocalTime(time) {
   return new Date(parseInt(time) * 1000).toLocaleString().replace(/年|月/g, "-").replace(/日/g, " ");      
}
function orderList(token, page, type, tar, pullUp) {
	mui.get("http://inn.kuaishao.xin/common/express/listRepOrders", {
		token: token,
		state: type,
		page: page
	}, function(res) {
		console.log(JSON.stringify(res));
		//如果没有数据，则停止刷新并停止上滑加载服务
		if(pullUp && !res.stores[0]) {
			return pullUp.endPullupToRefresh(true);
		}
		if(!res.stores[0]) {
			return document.querySelector(tar).innerHTML = "<div class='noData'>暂无数据</div>"
		}
		var len = res.stores.length;
		var html = "";
		for(var i=0; i < len; i++) {
			html += '<div class="expressOp">';
			html += 	'<div class="companyInfo">';
			html +=		'<div class="company">'+ (res.stores[i].expressCompany || "无")+'</div>';
			html +=		'<div class="orderId">快递单号：<span>'+ (res.stores[i].expressNo || "无") +'</span></div>';
			html +=		'<span class="mui-icon iconfont icon-bangzhudisc" data-reason="'+ (res.stores[i].describe || '无') +'"></span>';
			html +=	'</div>';
			html +=	'<div class="expressInfo">';
			html +=		'<div>联系方式：'+ (res.stores[i].customTel || "无" ) +'</div>';
			if(res.stores[i].vcode) {
				html +=		'<div><span class="codeTitle">取件码：</span>';
				html +=			'<span class="showCode">'+ res.stores[i].vcode +'</span>';
				if(res.stores[i].pwd) {
					html +=			'<img src="../img/backEx/change.png" />';
					html +=			'<span class="change" data-code="'+ res.stores[i].pwd +'">查看验证码</span>';
				}
				html +=		'</div>';
			}
			html +=		'<div>到站时间：'+ (res.stores[i].arriveDate != -1 ? timeToDate(res.stores[i].arriveDate) : "未到站") +'</div>';
			if(res.stores[i].payState != 0) {
				html +=		'<div><span class="payWay">货到付款 : </span><span class="num">'+ res.stores[i].money +'元</span></div>';
			}
			html +=	'</div>';
			html +='</div>';
		}
		if(page > 0){
			$(tar).append(html);
		}else {
			$(tar).html(html);	
		}
		if(pullUp && res.stores[0]) {
			pullUp.endPullupToRefresh(false);
		}
	},"json");
}

document.addEventListener("plusready", function() {
	token = plus.storage.getItem("token");
	orderList(token, page1, type, ".list1");
	// 初始化扫码对象
	var barCodeFilters = [
		plus.barcode.CODE128,
		plus.barcode.EAN13,
		plus.barcode.CODABAR,
		plus.barcode.EAN8
	];
	mui(document.body).on("tap", ".scan", function() {
		document.querySelector(".search").blur();
		setTimeout(function(){
			$(".scanBox").css("display", "block");
			scan = new plus.barcode.Barcode( "scanSearch", barCodeFilters, {
				frameColor: '#38a9fe',
				scanbarColor: '#38a9fe'
			});
			// 设置扫码成功回调函数
			scan.onmarked = function(type, result, file) {
				console.log(result);
				scan.close();
				$(".scanBox").css("display", "none");
				scan = null;
				mui.ajax("http://inn.kuaishao.xin/common/express/orderDetail", {
					data: {
						token: token,
						oid: result
					},
					dataType: "json",
					type: "get",
					timeout: 10000,
					success: function(data) {
						if(data.errcode == 0){
							backEdit(data);
						}else {
							mui.toast("请检查订单号！")
						}
					},
					error: function(xhr,type,errorThrown) {
						mui.toast("加载失败");
					}
				})
			}
			// 设置扫码失败回调函数
			scan.onerror = function(error) {
				console.log(error)
			}
			scan.start({sound: "none"});
		},350);	
	})
	mui(document.body).on("tap", ".scanCancel", function() {
		console.log(JSON.stringify(scan))
		scan.close();
		$(".scanBox").css("display", "none");
	})
}, false);

mui('.mui-scroll-wrapper').scroll({
	indicators: false //是否显示滚动条
});

var item2 = document.getElementById('item2mobile');
var item3 = document.getElementById('item3mobile');
document.getElementById('slider').addEventListener('slide', function(e) {
	if (e.detail.slideNumber === 1) {
		type = 2;
		if (item2.querySelector('.mui-loading')) {
			orderList(token, 0, 2, ".list2");
		}
		
	} else if (e.detail.slideNumber === 2) {
		type = 3;
		if (item3.querySelector('.mui-loading')) {
			orderList(token, 0, 3, ".list3");
		}
		type = 3;
	}else {
		type = 1;
	}
});

mui(document.body).on("tap", ".icon-bangzhudisc", function() {
	var reason = this.getAttribute("data-reason");
	mui.alert(reason, "遣返原因", "关闭");
})
function search() {
	var value = document.querySelector(".search").value;
	mui.get('http://inn.kuaishao.xin/common/express/listRepOrders', {
		expressNo: value,
		token: token,
		state: type
	}, function(res) {
		if(!res.stores[0]) return mui.toast("找不到记录");
		var html = '<div class="expressOp">';
			html += 	'<div class="companyInfo">';
			html +=		'<div class="company">'+ res.stores[0].expressCompany +'</div>';
			html +=		'<div class="orderId">快递单号：<span>'+ res.stores[0].expressNo +'</span></div>';
			html +=		'<span class="mui-icon iconfont icon-bangzhudisc" data-reason="'+ (res.stores[0].describe || '无') +'"></span>';
			html +=	'</div>';
			html +=	'<div class="expressInfo">';
			html +=		'<div>联系方式：'+ res.stores[0].customTel +'</div>';
			if(res.stores[0].vcode) {
				html +=		'<div><span class="codeTitle">取件码：</span>';
				html +=			'<span class="showCode">'+ res.stores[0].vcode +'</span>';
				if(res.stores[0].pwd) {
					html +=			'<img src="../img/backEx/change.png" />';
					html +=			'<span class="change" data-code="'+ res.stores[0].pwd +'">查看验证码</span>';
				}
				html +=		'</div>';
			}
			html +=		'<div>到站时间：'+ getLocalTime(res.stores[0].arriveDate) +'</div>';
			if(res.stores[0].payState != 0) {
				html +=		'<div><span class="payWay">货到付款 : </span><span class="num">'+ res.stores[0].money +'元</span></div>';
			}
			html +=	'</div>';
			html +='</div>';
		document.querySelector(".list"+type).innerHTML = html;
	}, 'json');
}
mui(document.body).on("change", ".search", function() {
	search();
})
mui(document.body).on("tap", ".change", function() {
	var hideCode = this.getAttribute("data-code");
	var showCode = $(this).siblings(".showCode").html();
	this.setAttribute("data-code", showCode);
	$(this).siblings(".showCode").html(hideCode);
	if($(this).html() == "查看验证码") {
		$(this).html("查看取件码");
		$(this).siblings(".codeTitle").html("验证码：");
	}else {
		$(this).html("查看验证码");
		$(this).siblings(".codeTitle").html("取件码：");
	}
})
function refresh() {
	var page = 0;
	switch(type) {
		case 1:
			++page1;
			page = page1;
			break;
		case 2:
			++page2;
			page = page2;
			break;
		default:
			++page3;
			page = page3;
	}
	orderList(token, page, type, ".list"+type, this);
}
mui('#scroll1').pullRefresh({
    up: {
    	height:50,//可选.默认50.触发上拉加载拖动距离
        contentrefresh: "正在加载...",
        contentnomore: "没有更多数据了",
        callback: refresh
    }
   
});
mui('#scroll2').pullRefresh({
    up: {
    	height:50,//可选.默认50.触发上拉加载拖动距离
        contentrefresh: "正在加载...",
        contentnomore: "没有更多数据了",
        callback: refresh
    }
});
mui('#scroll3').pullRefresh({
    up: {
    	height:50,//可选.默认50.触发上拉加载拖动距离
        contentrefresh: "正在加载...",
        contentnomore: "没有更多数据了",
        callback: refresh
    }
});
mui(".mui-content").on("tap", ".mui-slider-group, #sliderSegmentedControl", function() {
	document.querySelector(".search").blur();
})
