mui.init();
var vm = new Vue({
	el: "#content",
	data: {
		token: "",
		expressNo: "",
		orderId: "",
		time: "",
		sendUser: "",
		sendTel: "",
		sendAddr: "",
		recvUser: "",
		recvTel: "",
		recvAddr: "",
		goodsType: "",
		weight: "",
		money: "",
		idCardNum: "",
		innerPrice: "",
		expressCompany: '',
	}
})

function plusReady() {
	var page = plus.webview.currentWebview();
	vm.orderId = page.orderId;
	vm.token = plus.storage.getItem("token");
	mui.get("http://inn.kuaishao.xin/common/express/sendExDetail", {token: vm.token, oid: vm.orderId}, function(res) {
		console.log(JSON.stringify(res));
		if(res.errcode == 0) {
			vm.expressNo = res.express.expressNo;
			vm.orderId = res.express.createDate;
			vm.time = timeToDate(res.express.createDate);
			vm.sendUser = res.express.sender;
			vm.sendTel = res.express.senderMobile;
			vm.sendAddr = res.express.senderAddress;
			vm.recvUser = res.express.receiver;
			vm.recvTel = res.express.receiverMobile;
			vm.recvAddr = res.express.receiverAddress;
			vm.goodsType = res.express.expType;
			vm.weight = res.express.weight;
			vm.money = res.express.innerPrice || res.express.money;
			vm.idCardNum = res.express.idCardNum;
			vm.expressCompany = res.express.expressCompany;
			vm.innerPrice = (+res.express.innerPrice).toFixed(2);
		}else {
			mui.toast(res.errmsg);	
		}
	}, "json")
}
if(window.plus) {
	plusReady();
}else {
	document.addEventListener("plusready", plusReady, false);
}
