mui.init();
var vm = new Vue({
	el: "#content",
	data: {
		money: "",
		number: "",
		user: "",
		recharge: "",
		token: ""
	}
})

function plusReady() {
	var token = plus.storage.getItem("token");
	vm.token = token;
	mui.get('http://inn.kuaishao.xin/common/express/getUserInfo',{
		token: token
	},function(res){
		//服务器返回响应，根据响应结果，分析是否登录成功；
		plus.storage.setItem("token", res.data.token);
		vm.money = res.data.money; 
	},'json');
}
if(window.plus){
    plusReady();
}else{
    document.addEventListener('plusready',plusReady,false);
}
mui(document.body).on('tap', '.submit', function(e) {
    mui(this).button('loading');
    setTimeout(function() {
        mui(this).button('reset');
    }.bind(this), 1000);
    if(vm.recharge > vm.money) {
    	return mui.toast("余额不足");
    }
//  if(vm.recharge < 300 || !vm.recharge) {
//  	return mui.toast("请输入≥300的金额");
//  }
    if(!vm.number) {
    	return mui.toast("请输入提现支付宝账户");
    }
    if(!vm.user) {
    	return mui.toast("请输入账户姓名");
    }
    mui.post("http://inn.kuaishao.xin/common/express/withdrawal", {
    	money: vm.recharge,
    	name: vm.user,
    	account: vm.number,
    	token: vm.token
    }, function(res) {
    	if(res.errcode == 0) {
    		vm.money = (vm.money - vm.recharge).toFixed(2);
    		mui.toast("提交成功，请等待审核通过!");
    	}
    }, "json")
});

var oldBack = mui.back;
mui.back = function(){
	mui.fire(plus.webview.getWebviewById('totalAssets'),'moneyUpdata',{
	    money: vm.money
	});
	oldBack();
}